Name: jibx		
Version:	1.2.2	
Release:	7%{?dist}
Summary:	Framework for binding XML data to Java objects 

Group:		Development/Libraries
License:	BSD and ASL 1.1
URL: http://sourceforge.net/projects/jibx/
Source0:	http://sourceforge.net/projects/jibx/files/jibx/jibx-1.2.2/%{name}_1_2_2.zip
Patch0: %{name}-classpath.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch
BuildRequires: java-devel >= 1:1.6.0
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: junit
BuildRequires: asm2 
BuildRequires: bcel
BuildRequires: bea-stax-api
BuildRequires: eclipse-jdt
BuildRequires: eclipse-rcp
BuildRequires: joda-time
BuildRequires: qdox
BuildRequires: dom4j
BuildRequires: jdom
BuildRequires: xpp3
	
Requires: java
Requires: jpackage-utils

%description
JiBX is a framework for binding XML data to Java objects. It lets you
work with data from XML documents using your own class structures. 

%package javadoc
Summary: Javadocs for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
Requires: jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}
#Patch to add the bundled jar dependencies in the classpath
%patch0 -p1
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;
rm -rf %{_builddir}/%{name}/build/docs/src/*


#Symlink the eclipse dependencies 
plugin_file=`ls %{_libdir}/eclipse/plugins/org.eclipse.core.contenttype_*.jar`
ln -s "$plugin_file" lib/org.eclipse.core.contenttype.jar

plugin_file=`ls %{_libdir}/eclipse/plugins/org.eclipse.core.jobs_*.jar`
ln -s "$plugin_file" lib/org.eclipse.core.jobs.jar

plugin_file=`ls %{_libdir}/eclipse/plugins/org.eclipse.core.runtime_*.jar`
ln -s "$plugin_file" lib/org.eclipse.core.runtime.jar

plugin_file=`ls %{_libdir}/eclipse/plugins/org.eclipse.core.resources_*.jar`
ln -s "$plugin_file" lib/org.eclipse.core.resources.jar

plugin_file=`ls %{_libdir}/eclipse/plugins/org.eclipse.equinox.common_*.jar`
ln -s "$plugin_file" lib/org.eclipse.equinox.common.jar

plugin_file=`ls %{_libdir}/eclipse/plugins/org.eclipse.equinox.preferences_*.jar`
ln -s "$plugin_file" lib/org.eclipse.equinox.preferences.jar

plugin_file=`ls %{_libdir}/eclipse/plugins/org.eclipse.text_*.jar`
ln -s "$plugin_file" lib/org.eclipse.text.jar

plugin_file=`ls %{_libdir}/eclipse/dropins/jdt/plugins/org.eclipse.jdt.core.manipulation_*.jar`
ln -s "$plugin_file" lib/org.eclipse.jdt.core.manipulation.jar

plugin_file=`ls %{_libdir}/eclipse/plugins/org.eclipse.osgi_*.jar`
ln -s "$plugin_file" lib/org.eclipse.osgi.jar

plugin_file=`ls %{_libdir}/eclipse/dropins/jdt/plugins/org.eclipse.jdt.core_*jar`
ln -s "$plugin_file" lib/org.eclipse.jdt.core.jar


build-jar-repository -p lib \
asm2/asm2 \
asm2/asm2-commons \
bcel \
bea-stax-api \
dom4j \
jdom \
joda-time \
log4j \
qdox \
xpp3 

sed -i '/Class-Path/I d' %{_builddir}/%{name}/build/build.xml


%build
pushd build/
sed -i -e s:stax-api.jar:bea-stax-api.jar:g build.xml

export CLASSPATH=$(build-classpath junit)
ant current #test-multiples test-singles test-extras basic-blackbox blackbox devdoc javadoc

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}/%{_javadir}/%{name}
for sub_component in bind extras run schema tools; do
install -m 644 lib/jibx-${sub_component}.jar \
%{buildroot}/%{_javadir}/%{name}/${sub_component}-%{version}.jar
done


mkdir -p %{buildroot}/%{_javadocdir}/%{name}
cp -rp %{_builddir}/%{name}/build/docs/* \
%{buildroot}/%{_javadocdir}/%{name}/


%clean
rm -rf %{buildroot}



%files
%defattr(-,root,root,-)
%{_javadir}/%{name}/*.jar
%dir %{_javadir}/%{name}

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}

%changelog
* Wed Sep 09 2010 Johannes Lips <johannes.lips@googlemail.com> - 1.2.2-7
- added a version requirement for java-devel
- disabled the tests
* Wed Sep 09 2010 Johannes Lips <johannes.lips@googlemail.com> - 1.2.2-6
- added a patch to meet all the dependencies

* Sun Sep 05 2010 Johannes Lips <johannes.lips@googlemail.com> - 1.2.2-5
- removed the classpath
- changed the license
- removed most required packages

* Thu Sep 02 2010 Johannes Lips <johannes.lips@googlemail.com> - 1.2.2-4
- changed the structure
- 
* Thu Sep 02 2010 Johannes Lips <johannes.lips@googlemail.com> - 1.2.2-3
- symlinked all eclipse plugins
- removed all bundled dependencies
- added the build-jar-repository in the %%prep section
- added the tests

* Fri Aug 27 2010 Johannes Lips <johannes.lips@googlemail.com> - 1.2.2-2
- consistent usage of %%{buildroot}
- added missing javadoc file attributes

* Fri Aug 27 2010 Johannes Lips <johannes.lips@googlemail.com> - 1.2.2-1
- initial build
